Topic: [résolu] upgrade php mysql centos 4.7

bonjour,

j'essaye d'upgrader une plc 4.7  pardon une centos 4.7

j'ai configuré les serveurs de dépôts comme expliqué sur le site.
voulant upgrader php et mysql, j'ai commencé par mysql
et j'obtient:

]# yum --enablerepo=remi update mysql\*
Setting up Update Process
Setting up repositories
epel                      100% |=========================| 3.8 kB    00:00     
update                    100% |=========================|  951 B    00:00     
remi                      100% |=========================| 2.6 kB    00:00     
base                      100% |=========================| 1.1 kB    00:00     
ftp://ftp.free.fr/mirrors/ftp.centos.or … epomd.xml: [Errno 4] IOError: [Errno ftp error] (113, "Aucun chemin d'acc\xe8s pour atteindre l'h\xf4te cible")
Trying other mirror.
addons                    100% |=========================|  951 B    00:00     
http://centosl.centos.org/centos/4.8/ex … epomd.xml: [Errno 14] HTTP Error 500: Internal Server Error
Trying other mirror.
extras                    100% |=========================| 1.1 kB    00:00     
Reading repository metadata in from local files
Resolving Dependencies
.
.
.
Error: Missing Dependency: php-api = 20041225 is needed by package php-readline
Error: Missing Dependency: php-api = 20041225 is needed by package php-dbase
Error: Missing Dependency: php-common = 5.2.10-1.el4.remi is needed by package php-mhash

ai-je raté quelque chose ?

Re: [résolu] upgrade php mysql centos 4.7

Il faut désinstaller ces 3 extensions avant l'update

yum remove php-readline php-dbase php-mhash

mhash est dépréciée, si besoin il faudra adapter l'application pour utiliser les fonctions hash à la place.

readline est fournit par défaut (php-common)

dbase est dépréciée. Faudrait que je trouve le temps de packager php-pecl-dbase, mais je doute vraiment que cette extension soit encore très utilisée.

Une bonne pratique consiste à n'installer que les extensions réellement utiles. Ça économise la mémoire.

+

Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

Re: [résolu] upgrade php mysql centos 4.7

merci de ta reponse (et de ton expertise)

je teste dés que j'aurais refait la vm que je viens juste de détruire ^^

4 (edited by manu 2010-12-27 10:00:43)

Re: [résolu] upgrade php mysql centos 4.7

bonjour,

pour mysql c'est bon, mon serveur à la dernière version
par contre pour le PHP5, j'ai des erreurs de dépendance:

# yum --enablerepo=remi update php-\*
Setting up Update Process
Setting up repositories
epel                      100% |=========================| 3.8 kB    00:00     
update                    100% |=========================|  951 B    00:00     
remi                      100% |=========================| 2.6 kB    00:00     
base                      100% |=========================| 1.1 kB    00:00     
addons                    100% |=========================|  951 B    00:00     
extras                    100% |=========================| 1.1 kB    00:00     
.
.
.
--> Finished Dependency Resolution
Error: Missing Dependency: php = 4.3.9-3.31 is needed by package php-domxml
Error: Missing Dependency: php-common = 5.2.10-1.el4.remi is needed by package php-ncurses

d'avance merci

edit: ma version actuelle de php sur ce serveur est :PHP Version 4.3.9

Re: [résolu] upgrade php mysql centos 4.7

il faut virer php-domxml et php-ncurses "avant" de lancer l'update.

Par la suite, php-xml et php-pecl-ncurses fourniront ce qui nécessaire

+

Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

Re: [résolu] upgrade php mysql centos 4.7

merci ca fonctionne, je suis enfin en dernière version mysql et php

(tout ca pour une appli de notre employeur commun qui d'après le genoi me promet encore pas mal de pb !!! )

si tu peux renommer ce fil de discussion en "[réglé] upgrade php mysql centos 4.7" ca aidera peut-etre d'autre collègues

Encore merci.